const path = require('path');
const ConcatPlugin = require('webpack-concat-plugin');
const CleanWebpackPlugin = require('clean-webpack-plugin');

module.exports = {
   mode: 'none',
   entry: './src/index.js',
   plugins: [
      new CleanWebpackPlugin(['dist']),
      new ConcatPlugin({
         uglify: false,
         sourceMap: false,
         name: 'jquery-legacy-bundle',
         fileName: '[name].js',
         filesToConcat: [
            './src/lib/jquery-*.js',
            './src/lib/jquery/**',
            './src/lib/bootstrap/bootstrap-tooltip.js',
            './src/lib/bootstrap/**',
            './src/lib/cob/**',
            './src/lib/typeahead.bundle.js'
         ],
         attributes: {
            async: true
         }
      })
   ],
   output: {
      filename: 'dummy.js',
      path: path.resolve(__dirname, 'dist')
   }
};

